Type to search.

Create a links library item

Base URL
https://{kibana_url}
Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Experimental This functionality is experimental and is not ready for production usage. Experimental features may change or be removed at any time. Elastic will work to fix any issues, but experimental features are not subject to the support SLA of official GA features. Specific Support terms apply. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Creates a new links library item and returns its ID, full state, and metadata.

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Request body

description string
layout enum

Whether to display the links in a horizontal or vertical layout.

Values: horizontal vertical

The list of links to display.

One of:
tags string[] · max items: 1000 · default: []

Tag IDs associated with this library item.

title string required

Responses

created

application/json
data object required
description string
layout enum

Whether to display the links in a horizontal or vertical layout.

Values: horizontal vertical

The list of links to display.

Same options as links
tags string[] · max items: 1000 · default: []

Tag IDs associated with this library item.

title string required
id string required

The unique ID of the links library item, as returned by the create or search endpoints.

meta object required
created_at string

Timestamp when the object was created (ISO 8601).

created_by string

User profile ID of the user who created the object.

managed boolean

When true, the object is managed by Kibana and cannot be edited by users.

owner string

Identifier of the plugin or team that owns this object.

updated_at string

Timestamp when the object was last updated (ISO 8601).

updated_by string

User profile ID of the user who last updated the object.

version string

Internal version identifier for optimistic concurrency control.

400

invalid request

403

forbidden